ELF_NDXSCN(3)

NAME
elf_ndxscn - retrieve the index of a descriptor for an ELF file section

SYNOPSIS
#include <libelf.h> size_t elf_ndxscn(Elf_Scn *scn);

DESCRIPTION
The elf_ndxscn function retrieves the index of the section descriptor referred to by scn.

PARAMETERS

scn An Elf_Scn pointer to the section descriptor whose index is to be retrieved.

RETURN VALUE
The elf_ndxscn function returns the index of the section descriptor. If scn is NULL, it returns SHN_UNDEF. SHN_UNDEF is zero.

SEE ALSO
libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.